import { createQueueProducer, defaultJobOpts } from "../index.js";
const scheduledNoteSystemQueue = createQueueProducer("system");
export async function enqueueScheduledNote(scheduledNote) {
    await scheduledNoteSystemQueue.add("publishScheduledNote", {
        scheduledNoteId: scheduledNote.id
    }, {
        ...defaultJobOpts,
        delay: Math.max(0, scheduledNote.scheduledAt.getTime() - Date.now()),
        jobId: `scheduledNote:${scheduledNote.id}`
    });
}
